Bug 65164 - usb induced panic
usb induced panic
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-18 20:48 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-02 11:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-18 20:48:11 EDT
Description of Problem:

Power cycling an Epson 1640SU scanner that was in a confused state:

scanner.c: open_scanner(1): Unable to access minor data
...
usb_control/bulk_msg: timeout

produced the following panic:

Unable to handle kernel paging request at virtual address 00060059
 printing eip:
c884f175
*pde = 00000000
Oops: 0000
Kernel 2.4.9-31
CPU:    0
EIP:    0010:[<c884f175>]    Not tainted
EFLAGS: 00210286
EIP is at usb_unlink_urb_R0e996375 [usbcore] 0x15
eax: 00060041   ebx: ffffff92   ecx: ffffffff   edx: c6dffae0
esi: 00000000   edi: c6df7da0   ebp: c6df6000   esp: c6df7d90
ds: 0018   es: 0018   ss: 0018
Process kdeinit (pid: 1534, stackpage=c6df7000)
Stack: c884f2fa c6dffae0 c8857280 c6df7db0 00000000 c6df7da4 c6df7da4 00000000
       00000000 c6df6000 00000000 00000000 c148cc00 80000280 c6902620 c441ac60
       c884f397 c6dffae0 00000190 c6df7de0 00000008 80000280 c6902620 c441ac60
Call Trace: [<c884f2fa>] usb_unlink_urb_R0e996375 [usbcore] 0x19a
[<c8857280>] __insmod_usbcore_S.rodata_L104 [usbcore] 0x530
[<c884f397>] usb_unlink_urb_R0e996375 [usbcore] 0x237
[<c884f431>] usb_control_msg_R0bef5df5 [usbcore] 0x81
[<c8850397>] usb_get_string_R52de17ce [usbcore] 0x57
[<c8850d5b>] usb_string_R028deb32 [usbcore] 0xeb
[<c8856591>] usb_reset_device_R7e745061 [usbcore] 0x3d11
[<c8856637>] usb_reset_device_R7e745061 [usbcore] 0x3db7
[<c88567c7>] usb_reset_device_R7e745061 [usbcore] 0x3f47
[<c8856910>] usb_reset_device_R7e745061 [usbcore] 0x4090
[<c88569e0>] usb_reset_device_R7e745061 [usbcore] 0x4160
[<c0133f46>] sys_read [kernel] 0x96
[<c0133a7d>] sys_open [kernel] 0x7d
[<c0106f33>] system_call [kernel] 0x33


Code: 8b 40 18 52 ff 50 10 59 c3 89 f6 b8 ed ff ff ff c3 8d 76 00


Version-Release number of selected component (if applicable):

2.4.9-31
Comment 1 Pete Zaitcev 2002-05-28 18:06:29 EDT
Andrew, the bug looks fixable, but it's such a pain in the butt
to work with the 2.4.9 branch, that I'd appriciate if you tried
to reproduce this on 2.4.18 that we shipped with 7.3.
You may safely do rpm -i --nodeps, this puts the new kernel
alongside the old one, so you can fix grub.conf. Do not
remove the old kernel or its record from grub.conf!
Let me know if you desire to stay with strict 7.2.
(e.g. an RHN issue or a user request). Thanks!
Comment 2 Pete Zaitcev 2002-07-02 11:52:41 EDT
Did you try a 2.4.18 yet (preferably 2.4.18-5.55 or better)?
Comment 3 Need Real Name 2002-07-29 22:26:16 EDT
I've been unsuccessful in getting the scanner working again with USB, as the
motherboard that I was using started experiencing strange hardware issues a few
weeks after the initial bug report.  The replacement board is older and I've had
to switch to SCSI in order to be able to scan anything.

If I can reproduce in the future, I'll re-open this, but for now the best thing
is probably to close it out.

Note You need to log in before you can comment on or make changes to this bug.